commit 61318786d4c171423cea84071da1bc7ab1a36427
Author: Matt Turner <mattst88@gmail.com>
Date:   Sun Jan 29 11:17:53 2017 -0800

    xconsole 1.0.7
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 73b530c4843bf0c6712b954cdfb5edc46e759ed8
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 2e8afc7e7f24003a5b8804bf990590ca41ec48a2
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 16fa2630b198c80b07311022a0d71858363f15c0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 649966c9f22e868e7623507e098a03be6e13e6a7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 7 23:03:38 2015 -0700

    config: add AC_USE_SYSTEM_EXTENSIONS
    
    Might fix https://bugs.freedesktop.org/show_bug.cgi?id=6336 on 64-bit Linux
    Shouldn't hurt anyone
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8536b831dbaef02a547b9fc637347a1459413e2b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:20:38 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7bc0c3346c5311317f013e4b4796b20dd7502f77
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:20:38 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f4ba22c10b9b1bd175fa39d25118bf904ba82eec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 18 21:24:07 2013 -0700

    xconsole 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba74b1a1dfa5d3411817e0c436b378945c410ec7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 14:01:12 2013 -0700

    Use fstat() on the fd from open(), instead of stat() on the same pathname
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 73be08929d1d418370ae235e5261e64f72054cbf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 13:56:23 2013 -0700

    Fix file leak if fdopen() fails
    
    Reported by parfait 1.1:
       File Descriptor Leak: Leaked File Descriptor fd
            at line 313 of xconsole.c in function 'OpenConsole'.
              fd initialized at line 285 with open
              fd leaks when fd != -1 at line 287.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 22a09b77093970423e721ebd8004a593d5f88a21
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:14:32 2013 -0800

    unifdef -ULynx
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 676edb80c54ac5ace45e641a3dde17751a3ab224
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:13:14 2013 -0800

    unifdef -UISC
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9567b4e2b70552963189ac90a3ff91c351cd482a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:12:31 2013 -0800

    unifdef -Uultrix
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78492fd74051af9d717ec07503a7173858793528
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 24 08:07:47 2013 -0800

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2831823f608c1906211d5c55a098f48c8fad1a37
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Wed Jan 16 01:30:20 2013 +0100

    Fix build on FreeBSD
    
    libutil.h is needed on FreeBSD to get the definition of openpty(), add a
    configure check for this include, and include it in xconsole.c if it
    exists.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc0cf84461cfe2c31ddce34863c6433183e8a55d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 16:24:44 2013 -0800

    xconsole 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 98f941d218108a314f979332b19c612f51ace08d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:21:23 2013 -0800

    Fix implicit conversion from size_t to int warnings in Deiconified()
    
    xconsole.c:423:14: warning: implicit conversion loses integer precision: 'size_t' (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
        oldlen = strlen (oldName);
               ~ ^~~~~~~~~~~~~~~~
    
    xconsole.c:426:27: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            newName = malloc (oldlen - 1);
                      ~~~~~~  ~~~~~~~^~~
    
    xconsole.c:429:36: warning: implicit conversion changes signedness: 'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            strncpy (newName, oldName, oldlen - 2);
            ~~~~~~~                    ~~~~~~~^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 60d4a9dc01c9a1bf7a29c4a64ad52a6e27307682
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 18:17:18 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a7a54829dc89b38bbad7fcd6e70cf001d2274c26
Author: Arvind Umrao <arvind.umrao@oracle.com>
Date:   Fri Aug 24 09:44:23 2012 +0530

    Open /dev/console with NOCTTY and O_NONBLOCK flags
    
    In some cases, for SPARC servers, special files like fifo need
    to open in nonblocking mode otherwise whole xconsole GUI freezes.
    Also /dev/console is often a terminal device.  So I am opening
    /dev/console with NOCTTY and O_NONBLOCK flags.
    
    Signed-off-by: Arvind Umrao <arvind.umrao@oracle.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2e2ccc86fd4e778268ee44897a56535ce37b25e3
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 06:19:16 2012 -0400

    Don't rely on being able to set tab stops.
    
    Signed-off-by: Eric S. Raymond <esr@thyrsus.com>

commit 1dad4492bf1a6668de2b6ef56fd16ef4fc0e380d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 5 18:25:30 2012 -0700

    unifdef CRAY
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ada6e8761138d3e7af42726de15e88204bed1686
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 5 18:22:40 2012 -0700

    unifdef umips
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f9b34c2eae4c3abe40904e4274c5d82cd16fc7af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 5 18:20:49 2012 -0700

    Mark functions _X_NORETURN that gcc warnings suggest
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a12b6b391ab96241aa14f918e36a2fbd92734c7d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 5 18:16:59 2012 -0700

    Remove old Xorg & XFree86 CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7bcc00522e06e33ddb1ff4974c3b15a44d1005f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:30:46 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a03d98d49cd2f2ef6aa6d2ecaf611cccfad7a919
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Sep 25 00:55:20 2011 -0700

    Require xt >= 1.0 for appdefaultdir
    
    https://bugs.freedesktop.org/show_bug.cgi?id=7237
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2f34a30d5b4fed4936fa41bb25bc0953d6882ece
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 037e30485b3d6e22216a8c44e78fdb6fb57b238b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e076a7cc5441e51b1083aba11f5b743156514fc1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 2f6ff82050e8a535d633f9b59bb2ec94528d3634
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d71b95d96588e1ca020fa15db6ceb3050d41bbdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 19:31:52 2010 -0700

    xconsole 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7507dea14fdc259d50dd1e2693d4f3cd5235eeb4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Sep 23 19:28:30 2010 -0700

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 49bc4d3002ede196319bfc2829dda169c706e300
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 53fdc18e1723eb42596ad72ccd0e84ebfbd0a0e4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 6 08:47:48 2010 -0700

    Fill in COPYING file with copyright notices from source code
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3105c7119df08bab8d1668997c6b332ba5ff732c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 1 17:05:25 2010 -0700

    Xmu functions are called directly, so include it in PKG_CHECK_MODULES
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ee142aaa65ef5a96b205110b8fa7dc5f9fe4fc20
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jun 30 23:25:03 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Use automake provided $(AM_V_GEN) and XORG_DEFAULT_OPTIONS provided $(SED)
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fee6d15b7cc5f1fad77fed4988bd856399e5750a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 45fd4b1fa6f81acd33d183b00b060a69087da194
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 89dbe10377a39ee7001d1c34ce8f01aa209bb376
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:53 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 11cd7489b6f96f194171be418bf9112b5f1cbc1d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit fe30cb2c210cf51b239505deaac63593a0ab53f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 41d1f93ec0cfd8754d3c6f81bb4cb113328291cd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 099fc3d0dd7b769693bf1bce70112e1e13fe5336
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:21 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3254ca74de650838e46a551e7c567a79fd971503
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 3 16:26:13 2009 -0700

    Remove errant #error I_PUSH from SVR4 code path
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 58c8fc6828c07867955882f9126b116edc2036d2
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jul 25 14:08:41 2009 +1000

    Prevent inclusion of stropts.h on Linux.
    
    Systems like Linux/glibc that have openpty() will not mess around with SVR4
    like stream modules, so no need to include streams related headers.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit acc7c587322e2f1952900ad554061c5a8d08f7c3
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 20:16:40 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 5b3da5679d78ac025358ba0e4beb35e8a9cacd5c
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Nov 16 21:25:33 2008 +0100

    Fix header inclusion for openpty()
    
    AC_CHECK_HEADERS(foo.h) defines HAVE_FOO_H, not HAS_FOO_H.
    This fixes a compiler warning:
    xconsole.c:839: warning: implicit declaration of function 'openpty'

commit 9f690af8ed736ffcae0f0e3771bbc4ab851f8202
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:50 2008 -0400

    xaw8 is gone, use xaw7

commit 0ac48669dfcfd2760eaab31c934ff0b83ff2dd2c
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 16 14:24:55 2008 +0200

    $(builddir) is the current directory
    
    Apparently automake doesn't always export the builddir variable.
    This fixes my previous commit.

commit 6e305f9cdfaffd87f1852a1c24271b10b0bd5079
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:48:09 2008 +0200

    Fix build with builddir != srcdir

commit e321bfbe9970a89d486437ed5eedcd83a10a749e
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:07:41 2008 -0700

    Build fix for file systems that are not case sensitive

commit 2f9d3842be3d5d58270e54821552735cdb098075
Merge: d5ffc49 cda9968
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:59:57 2007 -0400

    Merge branch 'master' of ssh://git.freedesktop.org/git/xorg/app/xconsole

commit d5ffc49536871784f269ba938566fa77733b16e3
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:18 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit cda9968cea772dbc94b50d791a5be62203ae9ddf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 20 18:58:33 2007 -0700

    Version bump: 1.0.3

commit 9eee6c49bd6f57d51c517a6703cac2f29732231a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 20 18:54:22 2007 -0700

    Add *~ to .gitignore to skip patch/emacs droppings

commit d1e90da451da71d7d362236c5709d9931ab7b9d1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Aug 20 18:53:41 2007 -0700

    Replace xconsole_CFLAGS with AM_CFLAGS to make automake-1.10 happier

commit 3d4f2f96fc661095ce615928e6b586784f5d35e5
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 30 18:42:08 2006 +0200

    Check if openpty() is available and use it if it is.

commit 5bdbbecf51e3a73c6660498f8598f0731b43a703
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 30 16:31:03 2006 +0200

    Remove ChangeLog, replace with a rule that generates it using git-log

commit c8a026e7c8457cd726f8f6fbd74ade325a9f486e
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 30 16:29:10 2006 +0200

    rename .cvsignore -> .gitignore

commit 86e5d9ca5836d4ad02faa1a5f9c0db239464bde1
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:38:08 2006 +0000

    Bump to 1.0.2

commit 219ef4e86f05e7a473e399c5188efdb7f16f31f1
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 18 18:31:08 2006 +0000

    Avoid potential underflow if read() returns -1. Coverity CID 414

commit 950d308b3230e7e89d307fd95abb983e44987665
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:49 2005 +0000

    Update package version for X11R7 release.

commit f3755877004e49e96f26b120e0716f6673dc738b
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:42 2005 +0000

    Stub COPYING files

commit a87b4d1f07448fde9b4f7ecad965210a339caaa5
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:05 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d82f94100bd454d3298c6548173827a67cb4d7ad
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:17:59 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit c681eac9a17d8d3f16efa2a992b02972cfa71926
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:20 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 406fdcbe2e0b7f6af37c6d6965f85adfa8bb3aa6
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:18 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 81d992f635798580d71fc79abf9df2a825f125e0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:40 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 61eac81e62e1b9b141ce7aaf3fd778ad1f9d7924
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:59 2005 +0000

    Another pass at .cvsignores for apps.

commit 68ea4cb352cc528736914c7d328df024164e0e60
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:51 2005 +0000

    Add/improve .cvsignore files for apps.

commit 630bdf36e17b8f125f8aa0cabf41c75e650ac973
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:20 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 31dbed9163fd4384dc5dc81f426ce82176587dd2
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:31 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 0710398b397c5f8b09b6216bd18e84337fb4efdb
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:52 2005 +0000

    Update package version number for RC1 release.

commit 34924fc44be47d2d58c701485b4e1b6fad28c21d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:55 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit 324e3c08212f7dbe8b08f7d9028f2e775cbc73c1
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:21 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit ad9813ed3ad1d8adb562ac9b279c18753249786f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:43 2005 +0000

    Use sed to fill in variables in man page

commit f8ca981b964aaa3c59eab661ce35efb7d7085020
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 17 21:03:23 2005 +0000

    Bugzilla #4130 <https://bugs.freedesktop.org/show_bug.cgi?id=4130>
        xconsole: non-ascii characters don't show up (Samuel Thibault)

commit 05a718f11fc97f1e34cf927fd8762f8251356dcb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit c0ecb99582a714c95282f1187c0f39acee640779
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:31 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit b23b1f35930ed0d10fef42a23f88a2dacd29d91c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jul 27 00:15:46 2005 +0000

    Fix xconsole build break on AIX caused by removal of ptyx defines.

commit b471e2609662c2ec83d26ee32a7900e528f67f75
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 15:44:02 2005 +0000

    Replace more GNU make-ism's with more portable macros

commit e656ddba66cda7432279cd10ac5a450e8b2c342c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:52 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 171e31464fc9d4f39403931b1126c3e2cf52b84e
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 17 21:11:32 2005 +0000

    fix rules to work with non-GNU make.

commit 6fa7b824f077a0c04eb678c8736cda077232a084
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Thu Jul 7 23:08:22 2005 +0000

    - Build system for xconsole
    - Remove include of "../xterm/ptyx" from xc/programs/xconsole/xconsole.c

commit b38b9a7731430359f10ba74706fc6d4c786d2d36
Author: Egbert Eich <eich@suse.de>
Date:   Mon Oct 18 14:21:46 2004 +0000

    Made handling of DevelDrivers for x86-64 more conformant to other
        platforms.
    Compress all font encodings (Stefan Dirsch).
    Fixed warnings.
    Turn on forwarding XNSpotLocation event to XIM server in OffTheSpot and
        Root mode (bugzilla #1580, James Su).
    Added another compose key combination for the Euro symbol (Stefan Dirsch).
    Added support for UTF-8 in ja_JP, ko_KR and zh_TW locales (Mike Fabian).
    Changed default encoding for ru from KOI8-R to ISO8859-5 (Mike Fabian).
        This is the encoding that is also used by glibc. We may break other
        libcs - lets see who complains.
    Added explanation for DESTDIR to install to a different directory than /.
    Added some early bailouts to atiprobe if PCI structure pointer is NULL to
        prevent sig11.
    XV support doesn't depend on 2D acceleration any more. This patch removes
        this limitation from the NSC driver. This is a patch that I have
        committed to XFree86 a while ago but never ported over to X.Org.
        Matthieu Herrb contributed some build fixes.
    Fixing SetDPMSTimers() so that DPMS*Time == 0 disables the appropriate
        timer. This takes advantage of the fact that TimerSet() with a timeout
        argument 0 behaves like TimerCanel().
    Use /dev/xconsole (named pipe) or devpts for system logger (Werner Fink).
    Create missing links for backward compatibility to XFree86 (Stefan Dirsch).
    Changed comment to mention xorg.
    Changed cursor for the 'kill' action from XC_draped_box to XC_Pirate. If
        you don't like it we can change it back (original author unkown).
    Added 'pic' to the man page rendering command pipeline (Werner Fink).
    Added missing return value (Stefan Dirsch, Roland Mainz)

commit 7da0d180d6852916e5dca44842ee88e7d8429e6e
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:41 2004 +0000

    Merging XORG-CURRENT into trunk

commit 0b03eedd1839ec360b2bb7c0b4b9592cd53cfda5
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:01 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 2ec4fa572aba38d9e01205a2b440f6fcf29b796e
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:55 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 798ad4a31ca485e2b04a2a623b1fc96f3860d11f
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:16 2004 +0000

    readding XFree86's cvs IDs

commit 297a4fba84512347e1f65d5c9eca649c24271067
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:58 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit b53d3aeeedd692ef010a3ec5961079aee7d47fb3
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:03 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit 2b2c62b3be8dd36d3231a2ad18d8b212e81695d1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    XFree86 4.3.0.1

commit 593922e4e9e9bdcb9bd2b66493b91023d8f0984b
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
